libzypp: zyppng::NetworkRequestPrivate::running_t Struct Reference

libzypp 17.38.15

zyppng::NetworkRequestPrivate::running_t Struct Reference

`#include <zypp-curl/ng/network/private/request_p.h>`

## Public Member Functions
| running_t (pending_t &&prevState)
| running_t (prepareNextRangeBatch_t &&prevState)

## Public Attributes
Timer::Ptr | _activityTimer = Timer::create()
zypp::AutoFILE | _outFile
std::unique_ptr< CurlMultiPartHandler > | _partialHelper = {}
bool | _isInCallback = false
std::optional< NetworkRequestError > | _cachedResult
off_t | _lastProgressNow = -1
off_t | _downloaded = 0
off_t | _currentFileOffset = 0
zypp::ByteCount | _contentLenght

## Detailed Description

Definition at line 159 of file request_p.h.

## Constructor & Destructor Documentation

## ◆ running_t() [1/2]

zyppng::NetworkRequestPrivate::running_t::running_t | ( | pending_t && | prevState | ) |

Definition at line 63 of file request.cc.

## ◆ running_t() [2/2]

zyppng::NetworkRequestPrivate::running_t::running_t | ( | prepareNextRangeBatch_t && | prevState | ) |

Definition at line 67 of file request.cc.

## Member Data Documentation

## ◆ _activityTimer

Timer::Ptr zyppng::NetworkRequestPrivate::running_t::_activityTimer = Timer::create()

Definition at line 163 of file request_p.h.

## ◆ _outFile

zypp::AutoFILE zyppng::NetworkRequestPrivate::running_t::_outFile

Definition at line 165 of file request_p.h.

## ◆ _partialHelper

std::unique_ptr<CurlMultiPartHandler> zyppng::NetworkRequestPrivate::running_t::_partialHelper = {}

Definition at line 166 of file request_p.h.

## ◆ _isInCallback

bool zyppng::NetworkRequestPrivate::running_t::_isInCallback = false

Definition at line 169 of file request_p.h.

## ◆ _cachedResult

std::optional<NetworkRequestError> zyppng::NetworkRequestPrivate::running_t::_cachedResult

Definition at line 173 of file request_p.h.

## ◆ _lastProgressNow

off_t zyppng::NetworkRequestPrivate::running_t::_lastProgressNow = -1

Definition at line 175 of file request_p.h.

## ◆ _downloaded

off_t zyppng::NetworkRequestPrivate::running_t::_downloaded = 0

Definition at line 176 of file request_p.h.

## ◆ _currentFileOffset

off_t zyppng::NetworkRequestPrivate::running_t::_currentFileOffset = 0

Definition at line 177 of file request_p.h.

## ◆ _contentLenght

zypp::ByteCount zyppng::NetworkRequestPrivate::running_t::_contentLenght

Definition at line 179 of file request_p.h.

The documentation for this struct was generated from the following files:

- zypp-curl/ng/network/private/request_p.h
- zypp-curl/ng/network/request.cc